## ru.biosoft.plugins.jri.server
Class RClient

    java.lang.Object
      ru.biosoft.plugins.jri.server.RServiceProtocol
          ru.biosoft.plugins.jri.server.RClient

    public class RClient

extends RServiceProtocol

Nested Class Summary

Nested classes/interfaces inherited from class ru.biosoft.plugins.jri.server.RServiceProtocol
`RServiceProtocol.PersistenceDelegate`

Field Summary

Fields inherited from class ru.biosoft.plugins.jri.server.RServiceProtocol
`EVAL_STRING, NAME, OBJECT_PARAM, R_SERVICE, R_SERVICE_ASSIGN, R_SERVICE_CHECK, R_SERVICE_EVAL, R_SERVICE_HELP, R_SERVICE_NEW_SESSION, R_SERVICE_OPEN_SESSION, R_SERVICE_SAVE_SESSION, R_SERVICE_VOID_EVAL`

Constructor Summary
`RClient(ru.biosoft.server.Request conn, org.apache.log4j.Category log)`

Method Summary
`void` | `assign(java.lang.String name, java.lang.Object value, ru.biosoft.plugins.javascript.JSEnvironment env)`
`boolean` | `checkAvailability()`
`void` | `close()`
`org.rosuda.REngine.REXP` | `eval(java.lang.String str, ru.biosoft.plugins.javascript.JSEnvironment env)`
`ru.biosoft.server.Request` | `getRequestObject()`
`void` | `newSession(ru.biosoft.plugins.javascript.JSEnvironment env)`
`void` | `openSession(java.lang.String name, ru.biosoft.plugins.javascript.JSEnvironment env)`
`byte[]` | `request(int command, java.util.Map<java.lang.String,java.lang.String> arguments, boolean readAnswer)`
`void` | `requestHelp(java.lang.String str, ru.biosoft.plugins.javascript.JSEnvironment env)`
`void` | `saveSession(java.lang.String name, ru.biosoft.plugins.javascript.JSEnvironment env)`
`void` | `voidEval(java.lang.String str, ru.biosoft.plugins.javascript.JSEnvironment env)`

Methods inherited from class ru.biosoft.plugins.jri.server.RServiceProtocol
`processByteArray, toByteArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RClient

    public RClient(ru.biosoft.server.Request conn,
                   org.apache.log4j.Category log)

Method Detail

### close

    public void close()

### getRequestObject

    public ru.biosoft.server.Request getRequestObject()

### request

    public byte[] request(int command,
                          java.util.Map<java.lang.String,java.lang.String> arguments,
                          boolean readAnswer)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### requestHelp

    public void requestHelp(java.lang.String str,
                            ru.biosoft.plugins.javascript.JSEnvironment env)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### eval

    public org.rosuda.REngine.REXP eval(java.lang.String str,
                                        ru.biosoft.plugins.javascript.JSEnvironment env)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### voidEval

    public void voidEval(java.lang.String str,
                         ru.biosoft.plugins.javascript.JSEnvironment env)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### assign

    public void assign(java.lang.String name,
                       java.lang.Object value,
                       ru.biosoft.plugins.javascript.JSEnvironment env)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkAvailability

    public boolean checkAvailability()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### newSession

    public void newSession(ru.biosoft.plugins.javascript.JSEnvironment env)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveSession

    public void saveSession(java.lang.String name,
                            ru.biosoft.plugins.javascript.JSEnvironment env)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### openSession

    public void openSession(java.lang.String name,
                            ru.biosoft.plugins.javascript.JSEnvironment env)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.